
Foreman - Tracker #32684

Ruby 3.0 support

06/01/2021 11:58 AM - Ewoud Kohl van Wijngaarden

Status: Closed % Done: 100%

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

This is a tracker to add Ruby 3 support to Foreman. New bugs should be filed against this as blockers.

Subtasks:

Bug # 32688: app/models/concerns/has_many_common.rb is incompatible with Ruby 3 Duplicate

Refactor # 34570: SettingPresenter - pass kwarks in Ruby 3 compatible format Closed

Bug # 35300: Incorrect method signatures with keyword arguments Closed

Refactor # 35430: Update as_deprecation_tracker to at least 1.6 for Ruby 3 Closed

Feature # 35448: Update roadie-rails to version 3 for Ruby 3 support Closed

Bug # 35462: Depend on RSS gem for Ruby 3 Closed

Feature # 35465: Update safemode to a Ruby 3 compatible version Closed

Related issues:

Related to Foreman - Bug #35463: Allow rdoc 6.4 on Ruby 3.1 Closed

Blocked by Foreman - Feature #32685: Update graphql gem to at least 1.12 Closed

Blocked by Foreman - Feature #32686: Update fog-google to a Ruby 3 compatible... Closed

Blocks Foreman - Tracker #34647: Rails 7.0 Tracker New

History

#1 - 06/01/2021 11:59 AM - Ewoud Kohl van Wijngaarden

- Blocked by Feature #32685: Update graphql gem to at least 1.12 added

#2 - 06/01/2021 12:06 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

#3 - 06/01/2021 12:11 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to New

- Assignee deleted (Ewoud Kohl van Wijngaarden)

#4 - 06/01/2021 12:26 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #32686: Update fog-google to a Ruby 3 compatible version added

#5 - 06/01/2021 12:28 PM - Ewoud Kohl van Wijngaarden

- Blocked by Bug #32688: app/models/concerns/has_many_common.rb is incompatible with Ruby 3 added

#6 - 06/01/2021 12:28 PM - Ewoud Kohl van Wijngaarden

- Related to deleted (Feature #32686: Update fog-google to a Ruby 3 compatible version)

#7 - 06/01/2021 12:28 PM - Ewoud Kohl van Wijngaarden

- Blocked by Feature #32686: Update fog-google to a Ruby 3 compatible version added
#8 - 08/29/2022 10:27 AM - Ewoud Kohl van Wijngaarden

- Assignee set to Ewoud Kohl van Wijngaarden

#9 - 09/08/2022 03:50 PM - Ewoud Kohl van Wijngaarden

- Related to Tracker #34647: Rails 7.0 Tracker added

#10 - 09/08/2022 03:50 PM - Ewoud Kohl van Wijngaarden

- Related to deleted (Tracker #34647: Rails 7.0 Tracker)

#11 - 09/08/2022 03:51 PM - Ewoud Kohl van Wijngaarden

- Blocks Tracker #34647: Rails 7.0 Tracker added

#12 - 09/08/2022 03:55 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Ruby 3 support to Ruby 3.0 support

#13 - 04/26/2024 12:36 PM - Ewoud Kohl van Wijngaarden

- Subtask deleted (#35463)

#14 - 04/26/2024 12:36 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #35463: Allow rdoc 6.4 on Ruby 3.1 added

#15 - 04/26/2024 12:38 PM - Ewoud Kohl van Wijngaarden

Per https://community.theforeman.org/t/path-to-ruby-3-0-3-1-el9-and-ubuntu-22-04/30295/44 this is resolved with Foreman 3.9.

#16 - 04/26/2024 12:38 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Closed
